/*
 *		CHECKBOX SLIDER
 */

:root {
	--switch-width: 2.5rem;
	--switch-height: 1.3rem;
	--switch-border: 0.25rem;
}

/* Container */
.switch {
	position: relative;
	display: inline-block;
	vertical-align: text-bottom;
	width: var(--switch-width);
	height: var(--switch-height);
	padding: var(--switch-border);
	cursor: pointer;
	background-color: var(--primary-color-3);
}

/* Make actual html input invisible */
.switch input {
	opacity: 0;
	width: 0;
	height: 0;
	display: inline;
}

/* Slider */
.switch__slider {
	position: absolute;
	width: calc((50% + var(--switch-border) / 2) - 2 * var(--switch-border));
	height: calc(100% - 2 * var(--switch-border));
	background-color: #FFFFFF;
	transition: all 0.1s ease-in-out;
}

input:checked + .switch__slider {
	transform: translateX(calc(100% + var(--switch-border)));
	opacity: 1;
}

input:not(:checked) + .switch__slider {
	opacity: 0.5;
}
